version: "3.1"
services:
  
  wordpress:
    image: wordpress:${WP_VERSION}
    restart: unless-stopped
    depends_on:
      - mysql-wordpress
    volumes:
      - ./src/themes/:/var/www/html/wp-content/themes
      - ./src/plugins/:/var/www/html/wp-content/plugins
      - ./src/uploads/:/var/www/html/wp-content/uploads
    ports:
      - 80:80
    env_file:
      - ./.env
    environment:
      WORDPRESS_DB_HOST: ${MYSQL_HOST}
      WORDPRESS_DB_USER: ${DB_USER}
      WORDPRESS_DB_PASSWORD: ${MYSQL_ROOT_PASSWORD}
      WORDPRESS_DB_NAME: ${MYSQL_DATABASE}
  
  gulp:
    depends_on: 
      - wordpress
    build:
      context: ./src
      dockerfile: ../Dockerfile
    restart: unless-stopped
    links:
      - wordpress:${SITE_URL}
    env_file:
      - ./.env
    ports:
      - 3000:3000
      - 3001:3001
    volumes:
      - ./src/themes/:/var/www/html/themes
      - ./src/gulp/gulp-tasks:/var/www/html/gulp/gulp-tasks
      - ./src/gulpfile.js:/var/www/html/gulpfile.js
    command: "npm run watch"
  
  mysql-wordpress:
    image: mysql:5.7
    restart: always
    env_file:
      - .env
    ports:
      - 8081:3306
    environment:
      MYSQL_USER: ${DB_USER}
      MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD}
      MYSQL_DATABASE: ${MYSQL_DATABASE}
      MYSQL_PASSWORD: ${MYSQL_ROOT_PASSWORD}